## com.puppycrawl.tools.checkstyle.checks.imports
Enum ImportOrderOption

    java.lang.Object
      java.lang.Enum<ImportOrderOption>
          com.puppycrawl.tools.checkstyle.checks.imports.ImportOrderOption

All Implemented Interfaces:
  Serializable, Comparable<ImportOrderOption>

    public enum ImportOrderOption

extends Enum<ImportOrderOption>

Represents the policy for checking import order statements.

Author:
  David DIDIER
See Also:
  `ImportOrderCheck`

Enum Constant Summary
`ABOVE` Represents the policy that static imports are above the local group.
`BOTTOM` Represents the policy that static imports are all at the bottom.
`INFLOW` Represents the policy that static imports are processed like non static imports.
`TOP` Represents the policy that static imports are all at the top.
`UNDER` Represents the policy that static imports are under the local group.

Method Summary
`static ImportOrderOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ImportOrderOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final ImportOrderOption TOP

  Represents the policy that static imports are all at the top. For example:

              import static java.awt.Button.ABORT;
              import static java.io.File.createTempFile;
              import static javax.swing.WindowConstants.*;

              import java.awt.Button;
              import java.awt.event.ActionEvent;

### ABOVE

    public static final ImportOrderOption ABOVE

  Represents the policy that static imports are above the local group. For example:

              import static java.awt.Button.A;
              import static javax.swing.WindowConstants.*;
              import java.awt.Dialog;
              import javax.swing.JComponent;

              import static java.io.File.createTempFile;
              import java.io.File;
              import java.io.IOException;

### INFLOW

    public static final ImportOrderOption INFLOW

  Represents the policy that static imports are processed like non static imports. For example:

              import java.awt.Button;
              import static java.awt.Button.ABORT;
              import java.awt.Dialog;

              import static javax.swing.WindowConstants.HIDE_ON_CLOSE;
              import javax.swing.JComponent;

### UNDER

    public static final ImportOrderOption UNDER

  Represents the policy that static imports are under the local group. For example:

              import java.awt.Dialog;
              import javax.swing.JComponent;
              import static java.awt.Button.A;
              import static javax.swing.WindowConstants.*;

              import java.io.File;
              import java.io.IOException;
              import static java.io.File.createTempFile;

### BOTTOM

    public static final ImportOrderOption BOTTOM

  Represents the policy that static imports are all at the bottom. For example:

              import java.awt.Button;
              import java.awt.event.ActionEvent;

              import static java.awt.Button.ABORT;
              import static java.io.File.createTempFile;
              import static javax.swing.WindowConstants.*;

Method Detail

### values

    public static ImportOrderOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImportOrderOption c : ImportOrderOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImportOrderOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2011. All Rights Reserved.